<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <div style="margin-bottom:10px;">
            </div>
            <p-tabView>
                    <br>
                    <h5>
                        <span jhiTranslate="mpmApp.Travel.home.titleForm">Permohonan Perjalaan Lebih Dari 50 KM</span>
                    </h5>
				<!-- --- kena aot ---- -->
                <p-tabPanel header="New">
                    <jhi-tab-view-travel
                    [idStatusType]=60>
                    </jhi-tab-view-travel>
                </p-tabPanel>
                <p-tabPanel header="Approved">
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Please Insert Doc Number">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    <br>
                    <p-dataTable
                    [value]="jobOrdersApp"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [headerCheckboxToggleAllPages]="true"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    [(first)]="first"
                    row="itemsPerPage"
                    totalRecords="totalItems"
                    dataKey="idTravel"
                    expandableRows="false"
                    rowHover="true"
                    (onLazyLoad)="loadDataLazy($event)">
                    <p-header>
                        
                    </p-header>
                    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Doc">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noDoc}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tgl Buat" >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtcreated | date:'dd-MM-yyyy HH:mm'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.name}}
                        </ng-template>
                    </p-column>
                    <p-column header="NIK">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nik}}
                        </ng-template>
                    </p-column>
                    <p-column header="Jabatan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.jabatan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Dept.">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.div}}
                        </ng-template>
                    </p-column>
                    <p-column header="Unit Krja.">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.loc}}
                        </ng-template>
                    </p-column>
                    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                                    (click)="gotoDetail(rowData)"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                        (click)="print(rowData.idTravel, rowData)"
                                        icon="fa-print"
                                        class="flat-button">
                                </button>
                            <!-- <button pButton type="submit"
                                    (click)="print(rowData.idOrder, rowData)"
                                    icon="fa-print"
                                    class="flat-button">
                            </button> -->
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-dataTable>
                </p-tabPanel>
                <p-tabPanel header="Not Approved">
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Please Insert Doc Number">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search13(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    <br>
                    <p-dataTable
                    [value]="jobOrders"
                    [editable]="true"
                    [rows]="itemsPerPage"
                    [headerCheckboxToggleAllPages]="true"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    [(first)]="first"
                    row="itemsPerPage"
                    totalRecords="totalItems"
                    dataKey="idTravel"
                    expandableRows="false"
                    rowHover="true"
                    (onLazyLoad)="loadDataLazy($event)">
                    <p-header>
                        <!-- <div class="d-flex flex-row-reverse">
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)" >
                                            <div class="btn-filter-wrapper">
                                                <button (click)="processToNotAvailable()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                    <span>Not Approved</span>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="nav-item">
                                <div>
                                    <form name="searchForm" class="form-inline">
                                        <div class="input-group w-70 mt-2" [hidden]="( idStatusType === 11 || idStatusType === 12)">
                                            <div class="btn-filter-wrapper">
                                                <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                                    <span>Approved</span>
                                                </button>
                                                &nbsp;
                                                &nbsp;
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div> -->
                    </p-header>
                    <!-- <a [routerLink]="['../../approval-job-order-edit/'+ jobOrder.idOrder]" (click)="gotoDetail(jobOrder)" style="color:black;"></a> -->
                    <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                        <ng-template let-rowIndex="rowIndex" pTemplate="body">
                            {{rowIndex + 1}}
                        </ng-template>
                    </p-column>
                    <p-column header="No Doc">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.noDoc}}
                        </ng-template>
                    </p-column>
                    <p-column header="Tgl Buat" >
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dtcreated | date:'dd-MM-yyyy HH:mm'}}
                        </ng-template>
                    </p-column>
                    <p-column header="Nama">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.name}}
                        </ng-template>
                    </p-column>
                    <p-column header="NIK">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.nik}}
                        </ng-template>
                    </p-column>
                    <p-column header="Jabatan">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.jabatan}}
                        </ng-template>
                    </p-column>
                    <p-column header="Dept.">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.div}}
                        </ng-template>
                    </p-column>
                    <p-column header="Unit Krja.">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.loc}}
                        </ng-template>
                    </p-column>
                    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            <!-- <button pButton type="submit"
                                    [routerLink]="['../../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                                    (click)="gotoDetail(rowData)"
                                    icon="fa-pencil"
                                    class="flat-button">
                            </button> -->
                            <button pButton type="submit"
                                        (click)="print(rowData.idTravel, rowData)"
                                        icon="fa-print"
                                        class="flat-button">
                                </button>
                            <!-- <button pButton type="submit"
                                    (click)="print(rowData.idOrder, rowData)"
                                    icon="fa-print"
                                    class="flat-button">
                            </button> -->
                        </ng-template>
                    </p-column>
                    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                    </ng-template>
                    </p-dataTable>
                </p-tabPanel>
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>